# Get linked emails

Get all emails linked to a specific entity (transportOrder or consignment)

Endpoint: GET /mails/linked/{entityType}/{entityId}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `entityType` (string, required)
    Entity type (transportOrder or consignment)

  - `entityId` (string, required)
    Entity ID

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `mails` (array)

  - `mails.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `mails.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `mails.uuid` (string, required)

  - `mails.primaryPlatformId` (string, required)

  - `mails.createdAt` (string)
    The date and time this Entity has been created

  - `mails.updatedAt` (string)
    The date and time this Entity has been updated

  - `mails.language` (object)
    circular reference

  - `mails.imap` (object)

  - `mails.imap.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `mails.imap.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `mails.imap.uuid` (string, required)

  - `mails.imap.primaryPlatformId` (string, required)

  - `mails.imap.createdAt` (string)
    The date and time this Entity has been created

  - `mails.imap.updatedAt` (string)
    The date and time this Entity has been updated

  - `mails.imap.language` (object)
    circular reference

  - `mails.imap.name` (string)

  - `mails.imap.host` (string)

  - `mails.imap.port` (string)

  - `mails.imap.username` (string)

  - `mails.imap.password` (string)

  - `mails.imap.enabled` (boolean)

  - `mails.contentId` (string)

  - `mails.messageNumber` (integer)

  - `mails.receivedDate` (string)

  - `mails.sentDate` (string)

  - `mails.read` (boolean)

  - `mails.starred` (boolean)

  - `mails.subject` (string)

  - `mails.plainText` (string)

  - `mails.text` (string)

  - `mails.sender` (object)

  - `mails.sender.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `mails.sender.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `mails.sender.uuid` (string, required)

  - `mails.sender.primaryPlatformId` (string, required)

  - `mails.sender.createdAt` (string)
    The date and time this Entity has been created

  - `mails.sender.updatedAt` (string)
    The date and time this Entity has been updated

  - `mails.sender.language` (object)
    circular reference

  - `mails.sender.name` (string)

  - `mails.sender.email` (string)

  - `mails.sender.smtp` (object)

  - `mails.sender.smtp.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `mails.sender.smtp.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `mails.sender.smtp.uuid` (string, required)

  - `mails.sender.smtp.primaryPlatformId` (string, required)

  - `mails.sender.smtp.createdAt` (string)
    The date and time this Entity has been created

  - `mails.sender.smtp.updatedAt` (string)
    The date and time this Entity has been updated

  - `mails.sender.smtp.language` (object)
    circular reference

  - `mails.sender.smtp.name` (string)

  - `mails.sender.smtp.host` (string)

  - `mails.sender.smtp.port` (string)

  - `mails.sender.smtp.username` (string)

  - `mails.sender.smtp.password` (string)

  - `mails.sender.smtp.useOAuth` (boolean)

  - `mails.sender.smtp.tenantId` (string)

  - `mails.sender.smtp.clientId` (string)

  - `mails.sender.smtp.clientSecret` (string)

  - `mails.sender.smtp.oauthScopes` (string)

  - `mails.sender.imap` (object)

  - `mails.recipients` (array)

  - `mails.attachments` (array)

  - `mails.attachments.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `mails.attachments.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `mails.attachments.uuid` (string, required)

  - `mails.attachments.primaryPlatformId` (string, required)

  - `mails.attachments.createdAt` (string)
    The date and time this Entity has been created

  - `mails.attachments.updatedAt` (string)
    The date and time this Entity has been updated

  - `mails.attachments.language` (object)
    circular reference

  - `mails.attachments.url` (string)

  - `mails.attachments.path` (string)

  - `mails.attachments.name` (string)

  - `mails.attachments.originalName` (string)

  - `mails.attachments.size` (integer)

  - `mails.attachments.purpose` (string)

  - `mails.attachments.type` (string)
    Enum: "IMAGE", "VIDEO", "MUSIC", "WORD", "EXCEL", "CSV", "PDF", "EMAIL", "JSON"

  - `mails.attachments.mimeType` (string)

  - `mails.attachments.extension` (string)

  - `mails.attachments.identifiers` (array)

  - `mails.attachments.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `mails.attachments.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `mails.attachments.identifiers.uuid` (string, required)

  - `mails.attachments.identifiers.primaryPlatformId` (string, required)

  - `mails.attachments.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `mails.attachments.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `mails.attachments.identifiers.language` (object)
    circular reference

  - `mails.attachments.identifiers.name` (string)

  - `mails.attachments.identifiers.system` (string)

  - `mails.attachments.identifiers.value` (string)

  - `mails.attachments.identifiers.expiredAt` (string)

  - `mails.attachments.bucket` (object)

  - `mails.attachments.bucket.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `mails.attachments.bucket.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `mails.attachments.bucket.uuid` (string, required)

  - `mails.attachments.bucket.primaryPlatformId` (string, required)

  - `mails.attachments.bucket.createdAt` (string)
    The date and time this Entity has been created

  - `mails.attachments.bucket.updatedAt` (string)
    The date and time this Entity has been updated

  - `mails.attachments.bucket.language` (object)
    circular reference

  - `mails.attachments.bucket.name` (string)

  - `mails.attachments.uploadedAt` (string)

  - `mails.attachments.tempFile` (string)

  - `mails.attachments.contentMatrix` (array)

  - `mails.threadId` (string)

  - `mails.parentMessageId` (string)

  - `mails.linkedTransportOrderIds` (array)

  - `mails.linkedConsignmentIds` (array)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


